/*
	privss - A private stream searching toolkit.

	Original version copyright (C) 2006 SRI International.

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful, but
	WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
	General Public License for more details.

  Later changes copyright John Bethencourt, also released under the
  GPLv2 or later.
*/

#include <stdio.h>
#include <stdint.h>
#include <glib.h>
#include <gmp.h>
#include <paillier.h>
#include "privss.h"

/*
	FIXME update
*/

int
main( int argc, char** argv )
{
	enc_query_t* q;
	qkey_t* k;

	q = read_query(argc > 1 ? argv[1] : "enc_query");
	k = read_qkey(argc > 2 ? argv[2] : "prv_key", q->pub);
	printf("id: %s\n"
				 "private key bits: %d\n"
				 "private key value: %s\n"
				 "words:",
				 uint64_to_hex(k->id),
				 q->pub->bits,
				 paillier_prvkey_to_hex(k->prv));

	while( k->words )
	{
		printf(" %s", (char*) k->words->data);
		k->words = k->words->next;
	}
	printf("\n");

	return 0;
}
