/*
	privss - A private stream searching toolkit.

	Original version copyright (C) 2006 SRI International.

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful, but
	WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
	General Public License for more details.

  Later changes copyright John Bethencourt, also released under the
  GPLv2 or later.
*/

#include <stdio.h>
#include <stdint.h>
#include <glib.h>
#include <gmp.h>
#include <paillier.h>
#include "privss.h"

/*
	FIXME update
*/

int
main( int argc, char** argv )
{
	enc_query_t* q;

	q = read_query(argc > 1 ? argv[1] : "enc_query");
	printf("id: %s\n"
				 "pub key bits: %d\n"
				 "pub key value: %s\n"
				 "table len: %d\n"
				 "pt_bytes:  %d\n"
				 "c_buf_len: %d\n"
				 "l_buf_len: %d\n"
				 "d_buf_len: %d\n"
				 "i_buf_len: %d\n"
				 "num_bf_hashes: %d\n"
				 "sfactor: %d\n",
				 uint64_to_hex(q->id),
				 q->pub->bits,
				 paillier_pubkey_to_hex(q->pub),
				 q->table->len,
				 q->pt_bytes,
				 q->c_buf_len,
				 q->l_buf_len,
				 q->d_buf_len,
				 q->i_buf_len,
				 q->num_bf_hashes,
				 q->sfactor);

	return 0;
}
